Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.xml
Class JboXMLUtil

`java.lang.Object
oracle.jbo.server.xml.JboXMLUtil`

public class JboXMLUtil
extends java.lang.Object

     NAME
          JboXMLUtil.java -
     DESCRIPTION

          DefXMLParser has utility functions to create serialized files from
          XMLElement and vice versa

     NOTES

Version:
  INTERNAL

Constructor Summary
`JboXMLUtil()`

Method Summary
`void` | `createSerFile(DefElement xmlElement, java.lang.String outFileName)`
`DefElement` | `createXMLFromSerFile(java.lang.String serFileName)`
`static java.lang.String` | `getBC4JTempDir(ApplicationModule am)` Internal: Applications should not use this method.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboXMLUtil

    public JboXMLUtil()

Method Detail

### createSerFile

    public void createSerFile(DefElement xmlElement,
                              java.lang.String outFileName)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createXMLFromSerFile

    public DefElement createXMLFromSerFile(java.lang.String serFileName)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

### getBC4JTempDir

    public static java.lang.String getBC4JTempDir(ApplicationModule am)

  Internal: Applications should not use this method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.